
/*
This Java source file was generated by test-to-java.xsl
and is a derived work from the source document.
The source document contained the following notice:



Copyright (c) 2001-2004 World Wide Web Consortium, 
(Massachusetts Institute of Technology, Institut National de
Recherche en Informatique et en Automatique, Keio University).  All 
Rights Reserved.  This program is distributed under the W3C's Software
Intellectual Property License.  This program is distributed in the 
hope that it will be useful, but WITHOUT ANY WARRANTY; without even
the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
PURPOSE.  

See W3C License http://www.w3.org/Consortium/Legal/ for more details.


*/

package org.w3c.domts.level3.core;

import org.w3c.dom.*;


import org.w3c.domts.DOMTestCase;
import org.w3c.domts.DOMTestDocumentBuilderFactory;



/**
 *  Invoke the renameNode method to rename the default attribute "dir" to xsi:schemaLocation. 
 *  Check if this attribute has been renamed successfully by verifying the
 *  nodeName, namespaceURI, nodeType attributes of the renamed node.
* @author IBM
* @author Neil Delima
* @see <a href="http://www.w3.org/TR/2003/CR-DOM-Level-3-Core-20031107/core#Document3-renameNode">http://www.w3.org/TR/2003/CR-DOM-Level-3-Core-20031107/core#Document3-renameNode</a>
*/
public final class documentrenamenode06 extends DOMTestCase {

   /**
    * Constructor.
    * @param factory document factory, may not be null
    * @throws org.w3c.domts.DOMTestIncompatibleException Thrown if test is not compatible with parser configuration
    */
   public documentrenamenode06(final DOMTestDocumentBuilderFactory factory)  throws org.w3c.domts.DOMTestIncompatibleException {
      super(factory);

    //
    //   check if loaded documents are supported for content type
    //
    String contentType = getContentType();
    preload(contentType, "hc_staff", true);
    }

   /**
    * Runs the test case.
    * @throws Throwable Any uncaught exception causes test to fail
    */
   public void runTest() throws Throwable {
      Document doc;
      Element element;
      Attr attr;
      NodeList childList;
      Node renamedclass;
      String nodeName;
      int nodeType;
      String namespaceURI;
      doc = (Document) load("hc_staff", true);
      childList = doc.getElementsByTagName("p");
      element = (Element) childList.item(3);
      attr = element.getAttributeNode("dir");
      renamedclass = doc.renameNode(attr, "http://www.w3.org/2001/XMLSchema-instance", "xsi:schemaLocation");
      nodeName = renamedclass.getNodeName();
      namespaceURI = renamedclass.getNamespaceURI();
      nodeType = (int) renamedclass.getNodeType();
      assertEquals("documentrenameode01_nodeName", "xsi:schemaLocation", nodeName);
      assertEquals("documentrenameNode01_nodeType", 2, nodeType);
      assertEquals("documentrenamenode01_nodeValue", "http://www.w3.org/2001/XMLSchema-instance", namespaceURI);
      }
   /**
    *  Gets URI that identifies the test.
    *  @return uri identifier of test
    */
   public String getTargetURI() {
      return "http://www.w3.org/2001/DOM-Test-Suite/level3/core/documentrenamenode06";
   }
   /**
    * Runs this test from the command line.
    * @param args command line arguments
    */
   public static void main(final String[] args) {
        DOMTestCase.doMain(documentrenamenode06.class, args);
   }
}

